<!DOCTYPE html>
<html lang="ru">
	<head>
		<meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>Программа сложения двух чисел</title>
 
		<script>
		function addition() {
			var a = parseInt(document.getElementById('a').value);
			var b = parseInt(document.getElementById('b').value);
 
			if (isNaN(a)==true) a=0;
			if (isNaN(b)==true) b=0;
 
			var c = a + b;
 
			document.getElementById('result').innerHTML = a + " + " + b + " = " + c;
			 b.addEventListener(c, addition);
		}
		</script>
	</head>
	<body>
		<form>
			<input id="a" type="text" value="1"><br>
			<input id="b" type="text" value="1"><br>
			<input type="button" value="Сложить 2 два числа" onclick="addition();"><br>
		</form>
	<div id="result"></div>
	</body>
</html>
